Skip to main content
PUT
실험 수정

인증

Authorization
string
header
필수

Bearer 인증. 액세스 토큰을 Authorization: Bearer <token> 헤더로 전달합니다.

경로 매개변수

experiment_id
string<uuid>
필수

본문

application/json

PUT /experiments/{experiment_id} 요청 본문.

전체 교체 — 모든 필드 필수.

buckets
BucketUpdate · object[]
필수
Required array length: 1 - 15 elements
end_date
string<date-time>
필수

실험 종료일 (UTC).

name
string
필수

실험 이름.

start_date
string<date-time>
필수

실험 시작일 (UTC).

target_id
string<uuid>
필수

대상 엔티티 식별자.

target_type
enum<string>
필수

대상 엔티티 유형 (광고 단위 또는 게재 위치).

사용 가능한 옵션:
ad_unit,
placement
ext
any | null

실험 관련 추가 데이터 확장 필드.

status
enum<string>
기본값:inactive

실험 라이프사이클 상태.

사용 가능한 옵션:
inactive,
active,
completed

응답

성공 응답

실험 레코드 응답 스키마.

created_at
string<date-time>
필수
end_date
string<date-time>
필수

실험 종료일 (UTC).

id
string<uuid>
필수

실험 고유 식별자 (UUID v4).

name
string
필수

실험 이름.

start_date
string<date-time>
필수

실험 시작일 (UTC).

target_id
string<uuid>
필수

대상 엔티티 식별자.

target_type
enum<string>
필수

대상 엔티티 유형 (광고 단위 또는 게재 위치).

사용 가능한 옵션:
ad_unit,
placement
updated_at
string<date-time>
필수
buckets
ExperimentBucket · object[]

트래픽 분배와 광고 항목 할당을 정의하는 버킷.

Required array length: 1 - 15 elements
ext
any | null

실험 관련 추가 데이터 확장 필드.

no
integer | null
status
enum<string>
기본값:inactive

실험 라이프사이클 상태.

사용 가능한 옵션:
inactive,
active,
completed